import request from '@/utils/request'

// 查询变更信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrChangeInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询变更信息详细
export function getInfo(id) {
  return request({
    url: '/basicData/xcrChangeInfo/' + id,
    method: 'get'
  })
}

// 新增变更信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrChangeInfo',
    method: 'post',
    data: data
  })
}

// 修改变更信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrChangeInfo',
    method: 'put',
    data: data
  })
}

// 删除变更信息
export function delInfo(id) {
  return request({
    url: '/basicData/xcrChangeInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrChangeInfo/delete',ids)
}
